<?php
/*
 * ----------------------------------------------------------------------------
 * Layout_Files.inc.php                                              01/20/2006
 * This script contains the headers and footers used with the file areas.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2005 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-main.inc.php');      // Include the main BBS configuration.


/**
* Layout_Files.inc.php :: FilesHeader()
*
* This is the header part of the webpage.
*
*/
function FilesHeader() {
    global $CONFIG;                         // Include the global variable.
    global $VA_MAIN;                        // Include the global variable.
    global $USER;                           // Include current user information.
    global $includeDir;
    
    require_once($includeDir. 'html_header.php');
?>

<html>

<head>
<title>[File Area] - <?php print HtmlSpace($VA_MAIN['bbsname']); ?></title>
<meta name="robots" content="noindex, follow" />
<meta name="copyright" content="Copyright  <?php print date("Y"); ?>, Steve Winn" />
<style>
<!--
    a:active            { color: #FF0000 }
    a:link              { color: #0000D0 }
    a:visited           { color: #0000D0 }
    a:hover             { color: #FF0000 }
    a.msgBack:link      { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FF0000; font-weight: bold }
    a.msgBack:visited   { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FF0000; font-weight: bold }
    a.msgHeader:link    { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    a.msgHeader:visited { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    .body               { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #000000; }
    .boldBody           { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #000000; font-weight: bold }
    .filename           { font-family: Courier New;               font-size: 10pt; color: #000080; font-weight: bold }
    .fileoffline        { font-family: Courier New;               font-size: 10pt; color: #FF0000; font-weight: bold }
    .fileonline         { font-family: Courier New;               font-size: 10pt; color: #00FF00; font-weight: bold }
    .filesize           { font-family: Courier New;               font-size: 10pt; color: #000080; }
    .heading            { font-family: Verdana, Arial, Helvetica; font-size: 10pt; color: #000000; font-weight: bold }
    .md5                { font-family: Courier New;               font-size: 10pt;  color: #808080; }
    .msgBack            { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FF0000; font-weight: bold }
    .msgBody            { font-family: Verdana, Arial, Helvetica; font-size: 10pt; color: #000000; }
    .msgHeader          { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    .msgTime            { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #666666; }
    .msgTitle           { font-family: Verdana, Arial, Helvetica; font-size: 10pt; color: #FFFF00; font-weight: bold }
    .title              { font-family: Verdana, Arial, Helvetica; font-size: 12pt; color: #000000; font-weight: bold }
-->
</style>
</head>

<body bgcolor="#FFFFFF">

<div align="center">
<center>
<table cellspacing="0" cellpadding="0" width="750" border="0" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td align="left">
            <span class="title"><a href="http://www.vadvphp.com"><img border="0" src="./../images/vadv-php.gif" alt="VADV-PHP" width="50" height="30" align="absbottom"></a>&nbsp;&nbsp;&nbsp;<?php print HtmlSpace($VA_MAIN['bbsname']); ?> File Area</span>
            <hr color="#525552">
            <p><span class="heading">File Area - </span>
            <span class="body">The BBS's file area is now available on the web. Download files with the speed and reliability of the Internet.</span></p>

<?php
    if (($USER['userno'] > 0) && ($USER['userno'] != $CONFIG['guestacct'])) {
?>
            <p class="body"><span class="boldBody">You are logged in as: <?php print HtmlSpace($USER['handle']); ?></span> (#<?php print $USER['userno']; ?>)</p>
<?php
    } else {
?>
            <p><span class="boldBody">You are not logged in. Login <a href="./../bbslogin.php?url=<?php print urlencode(GetCurrentURL()); ?>">here</a> for full access priviledges.</span></p>
<?php
    }
}


/**
* Layout_Files.inc.php :: FilesFooter()
*
* This is the footer part of the webpage.
*
*/
function FilesFooter() {
    global $CONFIG;                      // Include the global variable.
?>
        </td>
    </tr>
</table>
</center>
</div>
<table cellspacing="0" cellpadding="0" width="100%" border="0">
    <tr>
        <td align="center">
            <span style="font-family: Verdana, Arial, Helvetica; font-size: 10px; color: #000000">* No date/time conversion performed.</span>
        </td>
    </tr>
</table>

<?php GlobalFooter(0, 1); ?>

</body>

</html>

<?php
}
?>